Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgetsBooking flow
Query availabilitySearch availabilityBookInvoices for bookings
iduuidUnique identifier
created_attimestamp with time zoneCreation timestamp
updated_attimestamp with time zoneLast modification timestamp
attachmenttext | nullCustom attachment
ftstsvectorreferencetextInvoice reference
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"booking_id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T05:27:42.573Z",
"updated_at": "2026-03-12T05:27:42.573Z",
"attachment": "",
"reference": ""
}idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this invoice is defined in
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
attachmentFilter<text | null>Custom attachment
ftsFilter<tsvector>referenceFilter<text>Invoice reference
200A list of invoices with the selected columns
206Partial Content
GET /invoicescurl -X GET "https://api.bookingmood.com/v1/invoices?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<Invoice> | Array<Partial<Invoice>>201The newly created invoices with the selected columns
POST /invoicescurl -X POST "https://api.bookingmood.com/v1/invoices" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this invoice is defined in
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
attachmentFilter<text | null>Custom attachment
ftsFilter<tsvector>referenceFilter<text>Invoice reference
204The deleted invoices with the selected columns
DELETE /invoicescurl -X DELETE "https://api.bookingmood.com/v1/invoices" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this invoice is defined in
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
attachmentFilter<text | null>Custom attachment
ftsFilter<tsvector>referenceFilter<text>Invoice reference
Partial<Invoice>204The updated invoices with the selected columns
PATCH /invoicescurl -X PATCH "https://api.bookingmood.com/v1/invoices" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'